---
title: "Updates Supplier Return"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-supplierreturns-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Supplier Return

`PUT` `/supplierreturns/{id}`

Operation ID: `put-supplierreturns-id`

Sample request: PUT /supplierreturns { "supplier":{ "id": 1 }, "outlet":{ "id": 1 }, "supplier_address":{ "address_line1": "address", "suburb": "suburb", "state": "state", "postcode": "postcode", "country":{ "id": 1, "name": "country_name" } }, "notes": "notes", "return_authorisation": "return authorisation", "include_tax": false, "supplier_return_status":{ "id": 1 } }

## Path parameters

- `id` (integer, int32, required) - Supplier Return id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Returns updated Supplier Return
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Supplier Return Reason not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierreturns/{id}:
    put:
      tags:
        - supplierreturns
      summary: Updates Supplier Return
      description: "Sample request:\r

        \r

        \    PUT /supplierreturns\r

        \    {\r

        \        \"supplier\":{\r

        \            \"id\": 1\r

        \        },\r

        \        \"outlet\":{\r

        \            \"id\": 1\r

        \        },\r

        \        \"supplier_address\":{\r

        \            \"address_line1\": \"address\",\r

        \            \"suburb\": \"suburb\",\r

        \            \"state\": \"state\",\r

        \            \"postcode\": \"postcode\",\r

        \            \"country\":{\r

        \                \"id\": 1,\r

        \                \"name\": \"country_name\"\r

        \            }\r

        \        },\r

        \        \"notes\": \"notes\",\r

        \        \"return_authorisation\": \"return authorisation\",\r

        \        \"include_tax\": false,\r

        \        \"supplier_return_status\":{\r

        \            \"id\": 1\r

        \        }\r

        \    }"
      operationId: put-supplierreturns-id
      parameters:
        - name: id
          in: path
          description: Supplier Return id
          required: true
          schema:
            type: integer
            description: Supplier Return id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Supplier Return model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Returns updated Supplier Return
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierReturns"
              example:
                id: 0
                include_tax: true
                supplier:
                  id: 0
                  supplier_code: string
                  name: string
                  is_enabled: true
                  modified_on: string
                outlet:
                  id: 0
                  name: string
                  modified_on: string
                supplier_return_status:
                  id: 0
                  name: string
                supplier_address:
                  address_line1: string
                  suburb: string
                  state: string
                  postcode: string
                  country:
                    id: 0
                    name: string
                total_return_quantity: 0
                total_claim_amount_ex: 0
                total_claim_amount_tax: 0
                total_claim_amount_inc: 0
                total_credit_received_ex: 0
                total_credit_received_inc: 0
                notes: string
                return_authorisation: string
                started_on: string
                created_on: string
                modified_on: string
                finalised_on: string
                credit_notes:
                  - id: 0
                    supplier_return_id: 0
                    supplier:
                      id: 0
                      supplier_code: string
                      name: string
                      is_enabled: true
                      modified_on: string
                    outlet:
                      id: 0
                      name: string
                      modified_on: string
                    supplier_reference: string
                    include_tax: false
                    rounding_adjustment: 0
                    total_credit_quantity: 0
                    total_credit_amount_ex: 0
                    total_credit_amount_tax: 0
                    total_credit_amount_inc: 0
                    total_applied_credit_quantity: 0
                    total_applied_credit_amount_ex: 0
                    total_applied_credit_amount_inc: 0
                    total_applied_credit_tax: 0
                    created_on: string
                    modified_on: string
                    supplier_credited_on: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    modified_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Supplier Return Reason not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierReturns:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return identifier
          format: int32
          nullable: true
        include_tax:
          type: boolean
          description: Include Tax
          default: true
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        outlet:
          $ref: "#/components/schemas/OutletExtended"
        supplier_return_status:
          $ref: "#/components/schemas/SupplierReturnStatus"
        supplier_address:
          $ref: "#/components/schemas/SupplierAddress"
        total_return_quantity:
          type: integer
          description: Total return quantity
          format: int64
        total_claim_amount_ex:
          type: number
          description: Total claim amount ex
          format: double
        total_claim_amount_tax:
          type: number
          description: Total claim amount tax
          format: double
        total_claim_amount_inc:
          type: number
          description: Total claim amount inc
          format: double
        total_credit_received_ex:
          type: number
          description: Total credit received ex
          format: double
        total_credit_received_inc:
          type: number
          description: Total credit received inc
          format: double
        notes:
          maxLength: 8000
          minLength: 0
          type: string
          description: Notes
          nullable: true
        return_authorisation:
          maxLength: 100
          minLength: 0
          type: string
          description: Return Authorisation
          nullable: true
        started_on:
          type: string
          description: Started on
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        finalised_on:
          type: string
          description: Finalised on
          format: date-time
          nullable: true
        credit_notes:
          type: array
          items:
            $ref: "#/components/schemas/CreditNote"
          description: Credit Notes linked to Supplier Return
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Supplier Returns VM
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    OutletExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    SupplierReturnStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Status Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Status name
          nullable: true
      additionalProperties: false
      description: Supplier Return Status Model
    SupplierAddress:
      title: ""
      type: object
      properties:
        address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
          nullable: true
        suburb:
          maxLength: 50
          minLength: 0
          type: string
          description: Suburb
          nullable: true
        state:
          maxLength: 50
          minLength: 0
          type: string
          description: State
          nullable: true
        postcode:
          maxLength: 10
          minLength: 0
          type: string
          description: Post code
          nullable: true
        country:
          $ref: "#/components/schemas/CountryLimited"
      additionalProperties: false
      description: Supplier address model
    CreditNote:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note id
          format: int32
          nullable: true
        supplier_return_id:
          type: integer
          description: Supplier Return id
          format: int32
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        outlet:
          $ref: "#/components/schemas/OutletExtended"
        supplier_reference:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier reference
          nullable: true
        include_tax:
          type: boolean
          description: Include tax
          default: false
          nullable: true
        rounding_adjustment:
          type: number
          description: Rounding Adjustment
          format: double
        total_credit_quantity:
          type: integer
          description: Total credit quantity
          format: int32
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
        total_credit_amount_tax:
          type: number
          description: Total Credit Amount Tax
          format: double
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
        total_applied_credit_quantity:
          type: integer
          description: Total Applied Credit Quantity
          format: int32
        total_applied_credit_amount_ex:
          type: number
          description: Total Applied Credit Amount Ex
          format: double
        total_applied_credit_amount_inc:
          type: number
          description: Total Applied Credit Amount Inc
          format: double
        total_applied_credit_tax:
          type: number
          description: Total Applied Credit Tax
          format: double
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        supplier_credited_on:
          type: string
          description: Supplier Credited On
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Credit Note model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    CountryLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        name:
          type: string
          description: name
          nullable: true
      additionalProperties: false
```
